HeartBeatEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.HeartBeatEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class HeartBeatEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.events.HeartBeatEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class HeartBeatEvent

extends AbstractEvent
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`HeartBeatEvent(java.util.Date beat)` Creates a new instance of HeartBeatEvent

Method Summary
`java.util.Date` | `getBeat()` Getter for property beat.
`void` | `setBeat(java.util.Date beat)` Setter for property beat.
`java.lang.String` | `toString()`
`HeartBeatZevent` | `toZevent()` Convert this heart beat event into an equivalent zevent.

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeartBeatEvent

    public HeartBeatEvent(java.util.Date beat)

  Creates a new instance of HeartBeatEvent

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getBeat

    public java.util.Date getBeat()

  Getter for property beat.

  Returns:
    Value of property beat.

### setBeat

    public void setBeat(java.util.Date beat)

  Setter for property beat.

  Parameters:
    `beat` - New value of property beat.

### toZevent

    public HeartBeatZevent toZevent()

  Convert this heart beat event into an equivalent zevent.

  Returns:
    A heart beat zevent.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.